MPD: playlist/PlaylistRegistry.hxx File Reference

MPD 0.20.15

Macros | Functions | Variables
PlaylistRegistry.hxx File Reference
`#include "input/Ptr.hxx"`
Include dependency graph for PlaylistRegistry.hxx:

Go to the source code of this file.

## Macros
#define | playlist_plugins_for_each(plugin)

## Functions
void | playlist_list_global_init ()
| Initializes all playlist plugins. More...
void | playlist_list_global_finish ()
| Deinitializes all playlist plugins. More...
SongEnumerator * | playlist_list_open_uri (const char *uri, Mutex &mutex, Cond &cond)
| Opens a playlist by its URI. More...
SongEnumerator * | playlist_list_open_stream_suffix (InputStreamPtr &&is, const char *suffix)
SongEnumerator * | playlist_list_open_stream (InputStreamPtr &&is, const char *uri)
| Opens a playlist from an input stream. More...
bool | playlist_suffix_supported (const char *suffix)
| Determines if there is a playlist plugin which can handle the specified file name suffix. More...

## Variables
const struct playlist_plugin *const | playlist_plugins []

## Macro Definition Documentation

## ◆ playlist_plugins_for_each

#define playlist_plugins_for_each | ( |  | plugin | ) |

Value:
for (const struct playlist_plugin *plugin, \
*const*playlist_plugin_iterator = &playlist_plugins[0]; \
(plugin = *playlist_plugin_iterator) != nullptr; \
++playlist_plugin_iterator)
playlist_plugin
Definition: PlaylistPlugin.hxx:31
playlist_plugins
const struct playlist_plugin *const playlist_plugins[]

Definition at line 31 of file PlaylistRegistry.hxx.

## Function Documentation

## ◆ playlist_list_global_finish()

void playlist_list_global_finish | ( |  | ) |

Deinitializes all playlist plugins.

## ◆ playlist_list_global_init()

void playlist_list_global_init | ( |  | ) |

Initializes all playlist plugins.

## ◆ playlist_list_open_stream()

SongEnumerator* playlist_list_open_stream | ( | InputStreamPtr && | is,
|  | const char * | uri
| ) |  |

Opens a playlist from an input stream.

Parameters

  is | an InputStream object which is open and ready
  uri | optional URI which was used to open the stream; may be used to select the appropriate playlist plugin

## ◆ playlist_list_open_stream_suffix()

SongEnumerator* playlist_list_open_stream_suffix | ( | InputStreamPtr && | is,
|  | const char * | suffix
| ) |  |

## ◆ playlist_list_open_uri()

SongEnumerator* playlist_list_open_uri | ( | const char * | uri,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |

Opens a playlist by its URI.

## ◆ playlist_suffix_supported()

bool playlist_suffix_supported | ( | const char * | suffix | ) |

Determines if there is a playlist plugin which can handle the specified file name suffix.

## Variable Documentation

## ◆ playlist_plugins

const struct playlist_plugin* const playlist_plugins[]